JacocoPluginExtension (Gradle API 8.11.1)

Package org.gradle.testing.jacoco.plugins

## Class JacocoPluginExtension

- java.lang.Object
- - org.gradle.testing.jacoco.plugins.JacocoPluginExtension

-     public abstract class JacocoPluginExtension
      extends java.lang.Object

  Extension including common properties and methods for Jacoco.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TASK_EXTENSION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JacocoPluginExtension​(Project project, org.gradle.internal.jacoco.JacocoAgentJar agent)` | Creates a Jacoco plugin extension.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends Task & JavaForkOptions> void` | `applyTo​(TaskCollection<T> tasks)` | Applies Jacoco to all of the given tasks.
    `<T extends Task & JavaForkOptions> void` | `applyTo​(T task)` | Applies Jacoco to the given task.
    `DirectoryProperty` | `getReportsDirectory()` | The directory where reports will be generated.
    `java.lang.String` | `getToolVersion()` | Version of Jacoco JARs to use.
    `void` | `setToolVersion​(java.lang.String toolVersion)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TASK_EXTENSION_NAME

          public static final java.lang.String TASK_EXTENSION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JacocoPluginExtension

          @Inject
          public JacocoPluginExtension​(Project project,
                                       org.gradle.internal.jacoco.JacocoAgentJar agent)

      Creates a Jacoco plugin extension.
      Parameters:
        `project` - the project the extension is attached to
        `agent` - the agent JAR to be used by Jacoco

  - ### Method Detail

    - #### getToolVersion

          public java.lang.String getToolVersion()

      Version of Jacoco JARs to use.

    - #### setToolVersion

          public void setToolVersion​(java.lang.String toolVersion)

    - #### getReportsDirectory

          public DirectoryProperty getReportsDirectory()

      The directory where reports will be generated.
      Since:
        6.8

    - #### applyTo

          public <T extends Task & JavaForkOptions> void applyTo​(T task)

      Applies Jacoco to the given task. Configuration options will be provided on a task extension named 'jacoco'. Jacoco will be run as an agent during the execution of the task.
      Parameters:
        `task` - the task to apply Jacoco to.
      See Also:
        `TASK_EXTENSION_NAME`

    - #### applyTo

          public <T extends Task & JavaForkOptions> void applyTo​(TaskCollection<T> tasks)

      Applies Jacoco to all of the given tasks.
      Parameters:
        `tasks` - the tasks to apply Jacoco to